"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'hdcztorrent',
    name: 'HD-CzTorrent',
    description: 'HD-CzTorrent is a CZECH semi private site for TV / MOVIES / GENERAL',
    language: 'cs-CZ',
    type: 'semi-private',
    encoding: 'UTF-8',
    links: ['http://www.hd-cztorrent.cz/'],
    caps: {
        categorymappings: [
            { id: '37', cat: 'Movies/DVD', desc: 'DVD' },
            { id: '92', cat: 'TV', desc: 'TV Serial ENG' },
            { id: '39', cat: 'Audio/Video', desc: 'Hudba Video' },
            { id: '41', cat: 'Movies/SD', desc: 'DivX / AVI' },
            { id: '90', cat: 'Movies/SD', desc: 'DivX / AVI Titulky' },
            { id: '43', cat: 'Movies/Other', desc: 'FILM dokument' },
            { id: '44', cat: 'Movies/Other', desc: 'FILM sport' },
            { id: '45', cat: 'TV', desc: 'SERIALY CZ' },
            { id: '47', cat: 'Movies', desc: 'Animované' },
            { id: '91', cat: 'TV', desc: 'Serial titulky' },
            { id: '50', cat: 'Movies/BluRay', desc: 'FILMY Blu-ray' },
            { id: '109', cat: 'Movies/BluRay', desc: 'BLURAY orig JAZYK' },
            { id: '52', cat: 'Movies/HD', desc: 'HD 1080 ' },
            { id: '53', cat: 'Movies/HD', desc: 'HD 720' },
            { id: '55', cat: 'Movies/3D', desc: '3D Filmy' },
            { id: '110', cat: 'Movies/3D', desc: '3D ORIGINÁL' },
            { id: '111', cat: 'Movies', desc: 'FILMY CZ TVORBA' },
            { id: '98', cat: 'Movies/UHD', desc: 'ORIGINAL JAZYK 4K' },
            { id: '77', cat: 'Movies/UHD', desc: 'ULTRA HD  4K' },
            { id: '89', cat: 'Movies/HD', desc: 'HD720 titulky ' },
            { id: '93', cat: 'Movies/HD', desc: 'HD 1080 titulky' },
            { id: '107', cat: 'Movies', desc: 'CAMERA RIP ' },
            { id: '94', cat: 'Movies', desc: 'h 265' },
            { id: '81', cat: 'Movies', desc: 'ORIGINAL JAZYK' },
            { id: '95', cat: 'Movies/Other', desc: 'FILM RETRO' },
            { id: '57', cat: 'Audio/Lossless', desc: 'Hudba flac' },
            { id: '58', cat: 'Audio/MP3', desc: 'Hudba mp3' },
            { id: '96', cat: 'Audio/Other', desc: 'RETRO HUDBA' },
            { id: '64', cat: 'Books', desc: 'E-books, PDF fotky' },
            { id: '65', cat: 'Audio/Audiobook', desc: 'Mluvene slovo' },
            { id: '113', cat: 'Books/Other', desc: 'obrazky fotky' },
            { id: '11', cat: 'XXX', desc: 'XXX 18+KLASIKA' },
            { id: '99', cat: 'XXX', desc: 'XXX GAY' },
            { id: '100', cat: 'XXX', desc: 'XXX ASIAN' },
            { id: '101', cat: 'XXX', desc: 'XXX 3D' },
            { id: '106', cat: 'XXX/Imageset', desc: 'XXX-OBRÁZKY' },
            { id: '108', cat: 'XXX', desc: 'PORNO BDSM' },
            { id: '73', cat: 'PC/Games', desc: 'Hry, Games' },
            { id: '97', cat: 'Console/PS4', desc: 'HRY PS4' },
            { id: '60', cat: 'PC/Mobile-Other', desc: 'Mobil PDA' },
            { id: '62', cat: 'PC', desc: 'Aplikace All' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 3,
            options: { '2': 'title', '3': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 2,
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        method: 'post',
        path: 'index.php?page=login',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.lista span[style="color:#FF0000;"]' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'index.php' }],
        inputs: {
            page: 'torrents',
            search: '{{ .Keywords }}',
            category: '{{ if .Categories }}{{ range .Categories }}{{.}};{{end}}{{ else }}0{{ end }}',
            uploader: 0,
            options: 0,
            active: 0,
            gold: '{{ if .Config.freeleech }}3{{ else }}0{{ end }}',
            order: '{{ .Config.sort }}',
            by: '{{ .Config.type }}',
        },
        rows: {
            selector: 'td#mcol table.lista > tbody > tr:has(a[href*=bookmark])',
        },
        fields: {
            category: {
                selector: 'a[href*="category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: { selector: 'td:nth-child(2) > a' },
            details: {
                selector: 'a[href^="index.php?page=torrent-details"]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="index.php?page=torrent-details"]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?) ' }],
            },
            date: {
                selector: 'td:nth-child(6)',
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '02/01/2006 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(11)' },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            downloadvolumefactor: {
                case: {
                    'img[src$="freeleech.gif"]': 0,
                    'img[src$="gold.gif"]': 0,
                    'img[src$="silver.gif"]': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img[src$="2x.gif"]': 2,
                    'img[src$="3x.gif"]': 3,
                    'img[src$="4x.gif"]': 4,
                    'img[src$="5x.gif"]': 5,
                    'img[src$="6x.gif"]': 6,
                    'img[src$="7x.gif"]': 7,
                    'img[src$="8x.gif"]': 8,
                    'img[src$="9x.gif"]': 9,
                    'img[src$="10x.gif"]': 10,
                    '*': 1,
                },
            },
            minimumratio: { text: 0.3 },
        },
    },
    source: 'jackett',
};
